Loading...
Searching...
No Matches
Version Macros
LMDB API

## Macros

#define | MDB_VERSION_MAJOR 0
#define | MDB_VERSION_MINOR 9
#define | MDB_VERSION_PATCH 35
#define | MDB_VERINT(a, b, c)
#define | MDB_VERSION_FULL MDB_VERINT(MDB_VERSION_MAJOR,MDB_VERSION_MINOR,MDB_VERSION_PATCH)
#define | MDB_VERSION_DATE "Jan 27, 2026"
#define | MDB_VERSTR(a, b, c, d)
#define | MDB_VERFOO(a, b, c, d)
#define | MDB_VERSION_STRING MDB_VERFOO(MDB_VERSION_MAJOR,MDB_VERSION_MINOR,MDB_VERSION_PATCH,MDB_VERSION_DATE)

## Detailed Description

## Macro Definition Documentation

## MDB_VERSION_MAJOR

#define MDB_VERSION_MAJOR 0

Library major version

## MDB_VERSION_MINOR

#define MDB_VERSION_MINOR 9

Library minor version

## MDB_VERSION_PATCH

#define MDB_VERSION_PATCH 35

Library patch version

## MDB_VERINT

#define MDB_VERINT | ( |  | a,
|  |  | b,
|  |  | c )

Value:
(((a) << 24) | ((b) << 16) | (c))

Combine args a,b,c into a single integer for easy version comparisons

## MDB_VERSION_FULL

#define MDB_VERSION_FULL MDB_VERINT(MDB_VERSION_MAJOR,MDB_VERSION_MINOR,MDB_VERSION_PATCH)

The full library version as a single integer

## MDB_VERSION_DATE

#define MDB_VERSION_DATE "Jan 27, 2026"

The release date of this library version

## MDB_VERSTR

#define MDB_VERSTR | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d )

Value:
"LMDB " #a "." #b "." #c ": (" d ")"

A stringifier for the version info

## MDB_VERFOO

#define MDB_VERFOO | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d )

Value:
MDB_VERSTR(a,b,c,d)
MDB_VERSTR
#define MDB_VERSTR(a, b, c, d)
Definition lmdb.h:216

A helper for the stringifier macro

## MDB_VERSION_STRING

#define MDB_VERSION_STRING MDB_VERFOO(MDB_VERSION_MAJOR,MDB_VERSION_MINOR,MDB_VERSION_PATCH,MDB_VERSION_DATE)

The full library version as a C string